Analyze
Download

Start an asynchronous download

Download result of an analysis previously run.

POST
https://api.textreveal.com/api/2.0/analyze/{id}/download

The asynchronous download feature is recommended for larger datasets (beyond 2,000 documents).

Request

Parameters

  • id*uuid

    The unique identifier of the analysis.

Request Body

  • conceptsstring[]

    Detected concept in the documents. This concept must be part of the instance.

    Example: "environment"
  • dateobject

    Extract date of the documents. Must be within the instance's date range.

  • entitiesstring[]

    Detected entity in the documents. This entity must be part of the instance.

    Example: "apple"
  • fields(string (enum))[]

    List of fields to be extracted in documents.

    Values: "concepts", "document_entity_negative", "document_entity_neutral", "document_entity_polarity", "document_entity_positive", "document_negative", "document_neutral", "document_polarity", "document_positive", "entities", "extract_date"... 
  • limitinteger | object
  • sortobject
Request
{
  "concepts": [
    "environment"
  ],
  "date": {
    "end": "2019-02-01",
    "start": "2019-02-01"
  },
  "entities": [
    "apple"
  ],
  "fields": [
    "title"
  ],
  "limit": 500,
  "sort": {
    "field": "document_polarity",
    "order": "ASC"
  }
}

Response

Response - 200

A download hash

  • hashstring

    The hash of launched download

    Example: "9a8b7c5d6e"
Response
{
  "hash": "9a8b7c5d6e"
}

Error

Error - 400

Bad request

  • fieldstring[]

    The field where the error happened.

    Example: "string"
Response
{
  "field": [
    "string"
  ]
}

Error - 404

Not Found

  • valuestring
    Example: "string"
Response
{
  "value": "string"
}